rubygem-ruby2ruby-1.2.4-2.puias6.noarch.rpm


Advertisement

Description

rubygem-ruby2ruby - Generate pure ruby from RubyParser compatible Sexps

Property Value
Distribution CentOS 6
Repository PUIAS Unsupported x86_64
Package filename rubygem-ruby2ruby-1.2.4-2.puias6.noarch.rpm
Package name rubygem-ruby2ruby
Package version 1.2.4
Package release 2.puias6
Package architecture noarch
Package type rpm
Category Development/Languages
Homepage http://seattlerb.rubyforge.org/ruby2ruby/
License MIT
Maintainer -
Download size 25.06 KB
Installed size 41.69 KB
ruby2ruby provides a means of generating pure ruby code easily from
RubyParser compatible Sexps. This makes making dynamic language
processors in ruby easier than ever!

Alternatives

Package Version Architecture Repository
rubygem-ruby2ruby-1.2.4-2.puias6.noarch.rpm 1.2.4 noarch PUIAS Unsupported
rubygem-ruby2ruby - - -

Requires

Name Value
/usr/bin/ruby -
ruby(abi) = 1.8
ruby(rubygems) -
rubygem(ruby_parser) -
rubygem(sexp_processor) -

Provides

Name Value
rubygem(ruby2ruby) = 1.2.4
rubygem-ruby2ruby = 1.2.4-2.puias6

Download

Type URL
Mirror springdale.math.ias.edu
Binary Package rubygem-ruby2ruby-1.2.4-2.puias6.noarch.rpm
Source Package rubygem-ruby2ruby-1.2.4-2.puias6.src.rpm

Install Howto

  1. Download latest puias-unsupported rpm from
    http://springdale.math.ias.edu/data/puias/unsupported/6/x86_64/
  2. Install puias-unsupported rpm:
    # rpm -Uvh puias-unsupported*rpm
  3. Install rubygem-ruby2ruby rpm package:
    # yum install rubygem-ruby2ruby

Files

Path
/usr/bin/r2r_show
/usr/lib/ruby/gems/1.8/cache/ruby2ruby-1.2.4.gem
/usr/lib/ruby/gems/1.8/gems/ruby2ruby-1.2.4/History.txt
/usr/lib/ruby/gems/1.8/gems/ruby2ruby-1.2.4/Manifest.txt
/usr/lib/ruby/gems/1.8/gems/ruby2ruby-1.2.4/README.txt
/usr/lib/ruby/gems/1.8/gems/ruby2ruby-1.2.4/bin/r2r_show
/usr/lib/ruby/gems/1.8/gems/ruby2ruby-1.2.4/lib/ruby2ruby.rb
/usr/lib/ruby/gems/1.8/specifications/ruby2ruby-1.2.4.gemspec

Changelog

2009-11-29 - Matthew Kent <mkent@magoazul.com> - 1.2.4-2
- Move pt_testcase.rb to the build stage so it's included in the rpm (#541512).
- Drop version requirements for sexp_processor and ruby_parser as they are new
packages (#541512).
2009-11-16 - Matthew Kent <mkent@magoazul.com> - 1.2.4-1
- Initial package

See Also

Package Description
rubygem-ruby2ruby-doc-1.2.4-2.puias6.noarch.rpm Documentation for rubygem-ruby2ruby
rubygem-ruby_parser-2.0.4-5.puias6.noarch.rpm A ruby parser written in pure ruby
rubygem-ruby_parser-doc-2.0.4-5.puias6.noarch.rpm Documentation for rubygem-ruby_parser
rubygem-rubycas-server-1.0-2.puias6.noarch.rpm Provides single sign-on authentication for web applications using the CAS protocol
rubygem-rubycas-server-doc-1.0-2.puias6.noarch.rpm Documentation for rubygem-rubycas-server
rubygem-rubyforge-2.0.4-3.puias6.noarch.rpm A script which automates a limited set of rubyforge operations
rubygem-rubyforge-doc-2.0.4-3.puias6.noarch.rpm Documentation for rubygem-rubyforge
rubygem-sass-3.1.4-4.puias6.noarch.rpm A powerful but elegant CSS compiler that makes CSS fun again
rubygem-sass-doc-3.1.4-4.puias6.noarch.rpm Documentation for rubygem-sass
rubygem-sequel-3.16.0-6.puias6.noarch.rpm The Database Toolkit for Ruby
rubygem-sequel-doc-3.16.0-6.puias6.noarch.rpm Documentation for rubygem-sequel
rubygem-sexp_processor-3.0.4-3.puias6.noarch.rpm A branch of ParseTree providing generic sexp processing tools
rubygem-sexp_processor-doc-3.0.4-3.puias6.noarch.rpm Documentation for rubygem-sexp_processor
rubygem-sinatra-1.2.6-1.puias6.noarch.rpm Ruby-based web application framework
rubygem-sqlite3-ruby-1.2.4-5.puias6.x86_64.rpm Allows Ruby scripts to interface with a SQLite3 database
Advertisement
Advertisement